<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];
$ndep = intval($_GET['ndep']);
$tx = $_GET['tx']; // Source de l'appel (tx="f" -> depuis une fiche)

$pbm_dep = FALSE;

if ($ndep > 0) {
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
    $rdep = "SELECT * FROM `" . TBDEP . "` WHERE `dep_id`='" . $ndep . "'";
    $row = $db->get_row($rdep, ARRAY_A);
    if ($row) {
        $row = encode_str($row);
        extract($row);
    } else
        $pbm_dep = TRUE;
    $db->disconnect();
} else {
    if ($td <> "add") $pbm_dep = TRUE;
}

switch ($td) {
    case "add" :
        $titre = _("CREATION DEPARTEMENT");
        $dep_lng = str_majuscules($_SESSION["lng"]);
        break;
    case "edit" :
        $titre = _("MODIFICATION DEPARTEMENT");
        break;
    case "del" :
        $titre = _("SUPPRESSION DEPARTEMENT");
        break;
    default :
        $pbm_dep = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Département"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script language="javascript">
        <!--
        var tab_champ = ["nom:code ; format:txt ; req:Y ; txt:<?PHP echo _("Code"); ?> ; lmx:30; stok:frmok ; stbad:frmbad",
            "nom:nom ; format:txt ; req:Y ; txt:<?PHP echo _("Nom"); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
            "nom:codepays; format:liste ; req:Y ; txt:<?PHP echo _("Pays"); ?> ; vmn:1; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <script type="text/javascript">
        <!--
        $(function () {
            $("#code").Setcase({caseValue: 'upper', changeonFocusout: true});
            $("#nom").Setcase({caseValue: 'upper', changeonFocusout: true});
        });


        function init_all() {
            init_Body();
            <?php
            switch ($td)
            {
                case "add" :
                    echo "init_valid_form('enr','dep_maj','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                    break;
                case "edit" :
                    echo "init_valid_form('enr','dep_maj','".$_SESSION['date_fmtshort']."',tab_champ,'','');";
                    echo "readonly_id('code-lng',false);";
                    break;
                case "del" :
                    echo "warn_del('');";
                    echo "readonly_all();";
                    break;
                case "view" :
                    echo "readonly_all();";
                    break;
            }
            ?>
            add_func_click('quit', 'sclose', 'fscomp');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
if ($tx <> "f")
    include_once("../inc/entete.inc.php");
if ($pbm_dep == FALSE) {
    cre_ent_form($titre, 'dep_lst.php', $_SERVER['HTTP_REFERER'], '');
    ?>
    <form name="dep_maj" id="dep_maj" method="post" action="dep_enr.php">
        <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
        <input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
        <input name="tx" type="hidden" id="tx" value="<?PHP echo $tx ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">
        <?PHP if (($td == "edit") OR ($td == "del")) { ?>
            <input name="excodepays" type="hidden" id="excodepays" value="<?PHP echo $dep_codepays ?>">
        <?PHP } ?>
        <table width="100%" border="0">
            <tr>
                <td width="10%" class="rubfrm" id="f_code" align="right"><?PHP echo _("Code"); ?></td>
                <td width="43%">
                        <input name="code" type="text" id="code" value="<?PHP echo $dep_code ?>" size="30">
                    <?PHP if ($td == "add")
                        echo '<img src="../img/oblig.png" align="absmiddle" alt="'._("Champ obligatoire").'"';
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_nom" align="right"><?PHP echo _("Nom"); ?></td>
                <td><input name="nom" type="text" id="nom" value="<?PHP echo $dep_nom ?>" size="50">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo _("Champ obligatoire"); ?>"></td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_codepays" align="right"><?PHP echo _("Pays"); ?></td>
                <td>
                    <?PHP
                    // création de la liste des pays
                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
                    $rech = "SELECT * FROM `" . TBPAYS . "`";
                    if ($td == "edit")
                        $rech .= " WHERE pays_lng='" . $dep_lng . "'";
                    $rech .= " ORDER BY pays_nom";
                    $rows = $db->get_results($rech, ARRAY_A);
                    $db->disconnect();
                    cre_select_tab('codepays', 'codepays', $rows, 'pays_code', 'pays_nom', '', $dep_codepays, '', _("-- Faites votre choix --"));
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_lng" align="right"><?PHP echo _("Langue"); ?></td>
                <td>
                    <?PHP
                    cre_select('lng', 'lng', $tab_lngdisp, strtolower($dep_lng));
                    ?>
                </td>
            </tr>
        </table>
        <p align="center">
            <?PHP
            switch ($td) {
                case "add" :
                case "edit" :
                    echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _("Enregistrer") . '">';
                    echo ' <input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _("Réinitialiser") . '">';
                    break;
                case "del" :
                    echo '<input name="del" type="submit" class="bton_std" id="del" value="' . _("Supprimer") . '">';
                    break;
            }
            if ($tx == "f")
                echo ' <input name="quit" type="button" class="bton_std" id="quit" value="' . _("Quitter") . '">';
            ?>
        </p>
    </form>
<?PHP
} else {
    if ($tx == "r")
        close_fen_auto('', 'fscomp');
    else
        pop_ret_auto(_("Problème de paramètres"), 'warn', "index.php");
}
if ($tx <> "f")
    include_once("pied.php");
?>
</body>
</html>